Subject: RE: bug#10305: coreutils-8.21, some changes needed

From: "Joachim Schmitz" <[email-masked]>
Date: Tue, 19 Feb 2013 13:10:24 +0100

> -----Original Message-----
> From: Pádraig Brady [mailto:[email-masked]]
> Sent: Tuesday, February 19, 2013 12:53 PM
> To: Joachim Schmitz
> Cc: [email-masked]
> Subject: Re: bug#10305: coreutils-8.21, some changes needed
> 
> >>> diff -EBbu ./src/numfmt.c.orig ./src/numfmt.c
> >>> -__attribute ((pure))
> >>> +__attribute__ ((pure))
> >
> > Oops. I'll fix this up with a more extensive patch in coreutils.
> 
> 3 patches attached.

Thanks. Of course the 3rd patch works for me, I've tested the first patch and that is fine too. Haven't yet checked the (quite big) 2nd patch though.

You seem to have missed one change, unless I'm missing something? This is your patch:

diff --git a/src/chroot.c b/src/chroot.c
index 1c1a976..bb45825 100644
--- a/src/chroot.c
+++ b/src/chroot.c
@@ -57,7 +57,7 @@ static struct option const long_opts[] =
    always-successful replacement to avoid checking for setgroups
    availability everywhere, just to support broken platforms. */
 static int
-setgroups (size_t size ATTRIBUTE_UNUSED, gid_t const *list ATTRIBUTE_UNUSED)
+setgroups (size_t size _GL_UNUSED, gid_t const *list ATTRIBUTE_UNUSED)
 {
   return 0;
 }

Guess it should be this instead:

diff --git a/src/chroot.c b/src/chroot.c
index 1c1a976..bb45825 100644
--- a/src/chroot.c
+++ b/src/chroot.c
@@ -57,7 +57,7 @@ static struct option const long_opts[] =
    always-successful replacement to avoid checking for setgroups
    availability everywhere, just to support broken platforms. */
 static int
-setgroups (size_t size ATTRIBUTE_UNUSED, gid_t const *list ATTRIBUTE_UNUSED)
+setgroups (size_t size _GL_UNUSED, gid_t const *list _GL_UNUSED)
 {
   return 0;
 }

Bye, Jojo